<?php 
defined('BASEPATH') OR exit('No direct script access allowed');
header('Access-Control-Allow-Origin: *');

class Perfiles extends CI_Controller {

Public function __construct () {
    parent::__construct();
    
    //cargar la base de datos
    $this->load->database();
    //parser de json y xml
    $this->load->library("parser");
    //$this->load->model('Sesion_Model');
    $this->load->library('form_validation');
    //$this->load->library("Form_validation");
    $this->load->helper("url");
    $this->load->helper('form');
    $this->load->helper('text');
    //Cargando los modelos para gestion de la data sistema pena
    $this->load->model('Perfiles_Model');
    //Cargando Consulta Base de Datos
    $this->load->library('Consultar');

}
	//Crear Perfiles
	public function save_Perfiles() 
	{
        
		$this->load->model('Perfiles_Model');
		//$this->load->model('CursosUsuarios_Model');
		//Modelo de usuarios cursos

		//Solo los datos validos  
		$nombre = $this->input->post('nombre')==''?false:$this->input->post('nombre');
		$estado = $this->input->post('Estado')==''?false:$this->input->post('Estado');
		
		//$idcurso = $this->input->post('IdCurso')==''?false:$this->input->post('IdCurso');
							
		$data_perfil = array(
			'nombre' 	=> $nombre,
			'Estado' 	=> $estado
		);
		
		$idperfil= $this->Perfiles_Model->savePerfiles($data_perfil);


		//Borrar
		$this-> Perfiles_Model->deletePerfil($idnombre,$idestado);
		//Volver a ingresar
		$this->Perfiles_Model->savePerfiles($data_perfil);
		print 'ok';
       
	    

    }
    
public function updatePerfiles ()
{
    if ($this->session->userdata('iduser')=='') {
      redirect(base_url().'/admin');
    }


    $this->load->model('Perfiles_Model');
		  
    //Solo los datos validos  
    $IdPerfil = $this->input->post('IdPerfil')==''?false:$this->input->post('IdPerfil');
    $Nombre  = $this->input->post('Nombre')==''?false:$this->input->post('Nombre');
    $Estado  = $this->input->post('Estado')==''?false:$this->input->post('Estado');

    $data_perfiles = array ('IdPerfil'=> $IdPerfil,'Nombre'=> $Nombre,'Estado'=> $Estado);
    $resultado=$this->Perfiles_Model->updatePerfiles($data);


    if($resultado)
    {   
        print_r(json_encode(array("res"=>"ok","msg"=>"Perfil Actualizado Satisfactoriamente")));
         
    }else{
        
        print_r(json_encode(array("res"=>"bad","msg"=>"Perfil No existe")));
         
    }

    //Borrar
	  $this->Perfiles_Model->updatePerfiles($idperfil,$idnombre,$idestado);
    //Volver a ingresar
    $this->Perfiles_Model->savePerfiles($data_perfil);
    print 'ok';
    
  }
    

	public function listPerfiles ($offset = 0)
  {
    if ($this->session->userdata('iduser')=='') {
			redirect(base_url().'/admin');
		}
 
    
    $this->load->model('Perfiles_Model');
    //capturar datos
    $nombre = $this->input->post('txt_nombre_perfiles')==''?'null':$this->input->post('txt_nombre_perfiles');
    
    //arreglo
    //$dato = array('1','null','null','null'); 
  
    $query = $this->Perfiles_Model->getPerfiles(null,$offset,$dato);
    
    //envio el arreglo
    $data['perfiles'] = $query;
    $data['titulo'] = 'Perfiles';
		$data['sidebar'] = 'Lista de Perfiles';
    $this->load->view('admin/perfiles/list', $data);
  
  }

  //Buscar perfiles por parametro
  public function searchPerfiles($offset = 0)
  {
      if ($this->session->userdata('iduser')=='') {
          redirect(base_url().'/admin');
      }

      $this->load->model('Perfiles_Model');
      //capturar los datos de busqueda
      $NombrePerfil = $this->input->post('nombre_perfil')==''?'null':$this->input->post('nombre_perfil');
      //Armando el arreglo del dato
      $dato = array('3','null',$NombrePerfil,'null'); 
      //Llamar el Procedimiento
      $query = $this->Perfiles_Model->getPerfilPorNombre($dato);
      
      //retornar los valores
      echo json_encode($query);
     
  }


  //Editar Perfil
  public function editPerfil($IdPerfil)
  {            
      if ($this->session->userdata('iduser')=='') {
          redirect(base_url().'/admin');
      } 

      $this->load->model('Perfiles_Model');
      //$perfiles=$this->Perfiles_Model->GetPerfiles($data);
      $dato=array('2',$IdPerfil,'null','null'); 
      $perfiles=$this->Perfiles_Model->getPerfilPorParametro(null,null,$dato);
      $data["perfiles"]=$perfiles;
      $data["titulo"] = 'Editar Perfiles';
      $data["sidebar"] = 'Perfiles';
     
      $this->load->view('admin/Perfiles/edit', $data);
  }
 
  //Editar nuevo Perfil
  public function newPerfil()
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }
           
        $this->load->model('Perfiles_Model');
        //Configurando el array para consulta de perfiles
        
        $data['titulo']  = 'Nuevo Perfil';
        $data['sidebar'] = 'Perfiles';

        $this->load->view('admin/Perfiles/new', $data);

         
      }

//Guardar perfiles
      public function guardarPerfiles()
      {
          if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
          }

          $this->load->model('Perfiles_Model');
          

          //Solo los datos validos  
          $nombre = $this->input->post('nombre_perfil')==''?false:$this->input->post('nombre_perfil');
          $estado = $this->input->post('estado_perfil')==''?false:$this->input->post('estado_perfil');
        
          $data_perfil = array(
          
              'Nombre' 	=> $nombre,
              'Estado' 	=> $estado
                            
          );
          
          
        $result=$this->Perfiles_Model->savePerfiles($data_perfil);
      
        //validar si existe el registro en la base de datos
        $dato=array('5','null',$Nombre,'null');
        $resultado=$this->Perfiles_Model->getPerfilPorParametro($data);
        
        if(count($resultado)>0)
        {
           
            print_r(json_encode(array("res"=>"bad","msg"=>"Error, Perfil ya existe")));

        }else{
          
            
            $this->Perfiles_Model->savePerfiles($data);
            print_r(json_encode(array("res"=>"ok","msg"=>"Perfil creado satisfactoriamente")));   
      }
    }
}  
